extension IDKitList<T> on List<T> {
  /// With index value when traversing collection
  void iFor(Function(int index, T element) ifor) {
    int index = 0;
    for (T element in this) {
      ifor.call(index, element);
      index++;
    }
  }

  /// Determine whether the element is the last element of the collection
  bool isLast(T element) {
    if (isEmpty) return false;
    return last == element;
  }

  /// Determine whether the element is the first element of the collection
  bool isFirst(T element) {
    if (isEmpty) return false;
    return first == element;
  }
}
